#!/bin/sh

# Copyright (c) 2023–2024 Emma Tebibyte <emma@tebibyte.media>
# SPDX-License-Identifier: FSFAP
#
# Copying and distribution of this file, with or without modification, are
# permitted in any medium without royalty provided the copyright notice and this
# notice are preserved.  This file is offered as-is, without any warranty.

set -e

if ! ls Makefile >/dev/null 2>&1
then
	printf '%s: Run this script in the root of the project.\n' "$0" 1>&2 
	exit 1
fi

printf "Starting POSIX compatibility testing.\n"

for utility in tests/posix/*; do
	printf '%s: %s: Testing utility.\n' "$0" "$utility"
	"$utility"
	printf '\n'
done
